Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135670 - Execution API similar to ruby
Execution API similar to ruby
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: languages
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Petr Hejl
issues@obsolete
: API
Depends on: 137232 137818 138378
Blocks: 125318 136929 138326
  Show dependency treegraph
 
Reported: 2008-05-23 10:23 UTC by Petr Hejl
Modified: 2008-08-01 15:58 UTC (History)
7 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2008-05-23 10:23:43 UTC
Provide execution API to execute external process in the IDE (similar to ruby one), supporting output tabs and common
(stop, rerun) actions.
Comment 1 Martin Krauskopf 2008-05-23 11:08:43 UTC
CCing other interested parties:

 * ruby.platform (tor, mkrauskopf, emononen)
 * contrib/languages.execution (dcaoyuan)
 * groovy.grailsproject (pheil)

I'm not sure on what original code in Ruby was based - something from Ant?; or whether it was really first
implementation. Tor might tell.

Also Caoyuan already did similar fork in contrib/languages.execution

I've updated http://wiki.netbeans.org/Openproject#section-Openproject-ExecutionAPI
Comment 2 Petr Hejl 2008-05-27 13:13:00 UTC
Initial generic code (not yet finished): 2b1bfaacd86c.
Comment 3 Petr Hejl 2008-05-29 17:38:43 UTC
I moved the code to the separate new module in the main repository: 715049845344 (main).
Grails project is using it: 8cf5a7c97876 (main).
Scala console is using it: db1d7178e06b (contrib).

Still need work on execution api part (output recognizers, cleanup etc.).
Comment 4 Petr Hejl 2008-06-10 15:39:23 UTC
API is almost finished. Minor changes can occur.
Comment 5 Petr Hejl 2008-07-04 19:12:28 UTC
ExecutionService threading model needs to be clarified. Better unit test coverage.
Comment 6 Petr Hejl 2008-07-04 19:36:57 UTC
Configurable options category (button). 00dabd104d7d
Comment 7 rmatous 2008-07-04 20:42:57 UTC
great, maybe just note: not sure if the button shouldn't be disabled until the process is finished. Especially during
debugging one could think that adjusting properties will be taken into account immediately, which doesn't need to be
true for all possible properties (but for some it may be true). 
Comment 8 Petr Hejl 2008-07-07 21:26:42 UTC
I do not plan any API changes for 6.5 release (unless architectural bug is found). Closing as fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo